Summary: Base themes for mythtv's frontend
Name: myththemes
Version: 0.23.1
Release: 167%{?dist}
License: GPL2
Group: Applications/Multimedia
URL: http://www.mythtv.org/
Source0: ftp://ftp.osuosl.org/pub/mythtv/%{name}-%{version}.tar.bz2
#Patch100: myththemes-0.23-svnfixes.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
BuildRequires: qt4-devel, gcc-c++
BuildRequires: mythtv-devel
Obsoletes: mythtv-theme-Titivillus, mythtv-theme-isthmus, mythtv-theme-MythCenter
Obsoletes: mythtv-theme-Retro
Requires: mythtv-frontend

%description
MythTV provides a unified graphical interface for recording and viewing
television programs.  Refer to the mythtv package for more information.

This package contains only the base themes used by the frontend and
mythtv-setup.

%prep
%setup -q
#patch100 -p1

%build
qt_prefix=`pkg-config --variable=exec_prefix QtCore` || :
if [ "$qt_prefix" = "" ]; then
  qt_prefix=`ls -d %{_libdir}/qt4* 2>/dev/null | tail -n 1`
fi

if ! echo ${PATH} | /bin/grep -q $qt_prefix/bin ; then
   PATH=$qt_prefix/bin:${PATH}
fi
./configure --prefix=%{_prefix}
make

%install
rm -rf %{buildroot}
make install INSTALL_ROOT=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING
%{_datadir}/mythtv/themes

%changelog
* Wed Sep 29 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.23.1-167
- Update to latest svn fixes (25253).

* Thu Jul 29 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.23.1-166
- Update to latest svn fixes (25354).

* Sat Jun 19 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.23-165
- Update to latest svn fixes (25111).

* Tue May 11 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.23-164
- Update to latest svn fixes (24445).

* Wed May  5 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.23-163
- Update to latest svn fixes (24352).

* Sat Apr 17 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.23-162_r24157
- Update to latest svn fixes (24157).

* Thu Apr  8 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.23-161_rc2_r23872
- Update to latest svn fixes (23872).

* Sat Mar 20 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.23-160_trunk_r23763
- Update to latest svn trunk (23763).

* Sun Jan 31 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.23-159_trunk_r23367
- Update to latest svn trunk (23367).

* Sun Jan 24 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.23-158_trunk_r23251
- Update to latest svn trunk (23251).

* Tue Jan  5 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.23-157_trunk_r23027
- Update to latest svn trunk (23027).

* Thu Dec 10 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.23-156_trunk_r22925
- Update to latest svn trunk (22925).

* Sun Nov 22 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.23-155_trunk_r22868
- Update to latest svn trunk (22868).

* Mon Nov 16 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.23-154_trunk_r22844
- Update to latest svn trunk (22844).

* Fri Nov  6 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.23-153_trunk_r22699
- Update to latest svn trunk (22699).

* Sun Nov  1 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.23-152_trunk_r22664
- Update to latest svn trunk (22664).

* Fri Oct 23 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.22-150_trunk_r22555
- Update to latest svn trunk (22555).

* Thu Oct 15 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.22-149_trunk_r22457
- Update to latest svn trunk (22457).

* Sat Oct  3 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.22-148_trunk_r22156
- Update to latest svn trunk (22156).

* Mon Aug 24 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.22-147_trunk_r21442
- Update to latest svn trunk (21442).

* Fri Jul 24 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.22-146_trunk_r21010
- Update to latest svn trunk (21010).

* Sun Apr 12 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.22-145_trunk_r20360
- Update to latest svn trunk (20360).

* Sun Mar 29 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.22-144_trunk_r20282
- Update to latest svn trunk (20282).

* Sat Jan 31 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.22-143_trunk_r19896
- Update to latest svn trunk (19896).

* Sat Jan 10 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.22-142_trunk_r19631
- Update to latest svn trunk (19631).

* Fri Jan  9 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.22-141_trunk_r19621
- Update to latest svn trunk (19621).

* Mon Nov 17 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.22-142_trunk_r19114
- Update to latest svn trunk (19114).

* Sat Oct 18 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.22-141_trunk_r18753
- Update to latest svn trunk (18753).

* Mon Jul 28 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.22-140_trunk_r17961
- Update to latest svn trunk (17961).

* Wed Apr 30 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-139
- Update to latest svn fixes (17180).

* Tue Mar 11 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-138
- Update to latest svn fixes (16519).

* Sun Mar  9 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-137
- Update to 0.21 final.

* Sat Mar  8 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-136_trunk_r16461
- Update to latest svn release-0-21-fixes branch 16461).

* Fri Feb 22 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-135_trunk_r16201
- Update to latest svn release-0-21-fixes branch (16201).

* Mon Feb 18 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-134_trunk_r16131
- Update to latest svn release-0-21-fixes branch (16131).

* Sun Feb  3 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-133_trunk_r15741
- Update to latest svn trunk (15741).

* Tue Jan 15 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-132_trunk_r15447
- Update to latest svn trunk (15447).

* Sat Jan  5 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-131_trunk_r15333
- Update to latest svn trunk (15333).

* Tue Nov 20 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-130_trunk_r14921
- Update to latest svn trunk (14921).

* Thu Nov  1 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-129_trunk_r14785
- Update to latest svn trunk (14785).

* Sat Oct  6 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-128_trunk_r14618
- Update to latest svn trunk (14618).

* Sat Sep  1 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-127_trunk_r14374
- Update to latest svn trunk (14374).

* Mon Aug 27 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-126_trunk_r14327
- Update to latest svn trunk (14327).

* Thu Aug 23 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-125_trunk_r14266
- Update to latest svn trunk (14266).

* Wed Aug 22 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-124_trunk_r14251
- Update to latest svn trunk (14251).

* Tue Aug 21 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-123_trunk_r14239
- Update to latest svn trunk (14239).

* Fri Jul 27 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-122_trunk_r14051
- Update to latest svn trunk (14051).

* Mon Jun 11 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-121_trunk_r13645
- Update to latest svn trunk (13645).

* Thu May 17 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-120_trunk_r13460
- Update to latest svn trunk (13460).

* Mon Apr 23 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-119_trunk_r13316
- Update to latest svn trunk (13316).

* Fri Apr 13 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-118_trunk_r13228
- Update to latest svn trunk (13228).

* Wed Mar 14 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-117_trunk_r13045
- Update to latest svn trunk (13045).

* Fri Feb 23 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-116_trunk_r12854
- Update to latest svn trunk (12854).

* Tue Feb 13 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-115_trunk_r12782
- Update to latest svn trunk (12782).

* Tue Jan 30 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-114_trunk_r12674
- Update to latest svn trunk (12674).

* Tue Jan 16 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-113_trunk_r12545
- Update to latest svn trunk (12545).

* Wed Dec 13 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-112_trunk_r12253
- Update to latest svn trunk (12253).

* Sat Sep 16 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.20-110
- Use qmake and really install all themes.

* Mon Sep 11 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.20-109
- Update to 0.20.

* Fri Jun 16 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Add forgotten Iulius-OSD, isthmus and MythCenter. :/

* Sun Feb 12 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.19.

* Fri Apr 15 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.18.

* Thu Apr 14 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Split off themes onto their own (source) package.

